
From: Stephen Rothwell <sfr@canb.auug.org.au>

Since asm-generic/siginfo.h was created, the architectures have been slowly
fixed/modified until noone uses HAVE_ARCH_SI_CODES or HAVE_ARCH_SIGEVENT_T
any more, so this patch removes the checks for them.

Signed-off-by: Stephen Rothwell <sfr@canb.auug.org.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/asm-generic/siginfo.h |    7 -------
 1 files changed, 7 deletions(-)

diff -puN include/asm-generic/siginfo.h~noone-uses-have_arch_si_codes-or-have_arch_sigevent_t include/asm-generic/siginfo.h
--- 25/include/asm-generic/siginfo.h~noone-uses-have_arch_si_codes-or-have_arch_sigevent_t	2004-12-06 14:01:05.017983248 -0800
+++ 25-akpm/include/asm-generic/siginfo.h	2004-12-06 14:01:05.020982792 -0800
@@ -154,7 +154,6 @@ typedef struct siginfo {
 #define SI_FROMUSER(siptr)	((siptr)->si_code <= 0)
 #define SI_FROMKERNEL(siptr)	((siptr)->si_code > 0)
 
-#ifndef HAVE_ARCH_SI_CODES
 /*
  * SIGILL si_codes
  */
@@ -225,8 +224,6 @@ typedef struct siginfo {
 #define POLL_HUP	(__SI_POLL|6)	/* device disconnected */
 #define NSIGPOLL	6
 
-#endif
-
 /*
  * sigevent definitions
  * 
@@ -245,8 +242,6 @@ typedef struct siginfo {
 #define SIGEV_PAD_SIZE	((SIGEV_MAX_SIZE/sizeof(int)) - 3)
 #endif
 
-#ifndef HAVE_ARCH_SIGEVENT_T
-
 typedef struct sigevent {
 	sigval_t sigev_value;
 	int sigev_signo;
@@ -262,8 +257,6 @@ typedef struct sigevent {
 	} _sigev_un;
 } sigevent_t;
 
-#endif
-
 #define sigev_notify_function	_sigev_un._sigev_thread._function
 #define sigev_notify_attributes	_sigev_un._sigev_thread._attribute
 #define sigev_notify_thread_id	 _sigev_un._tid
_
